[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'video' (#rtl)

# OldVideoBuf

Last written screen image.

## Declaration

Source position: videoh.inc line 98

`var OldVideoBuf: PVideoBuf;`

## Description

The OldVideoBuf contains the state of the video screen after the last screen update. The UpdateScreen function uses this array to decide which characters on screen should be updated, and which not.

Note that the OldVideoBuf array may be ignored by some drivers, so it should not be used. The Array is in the interface section of the video unit mainly so drivers that need it can make use of it.

Documentation generated on: Feb 26 2014